> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update filter

> Update a filter by ID



## OpenAPI

````yaml /_openapi/data-transformation-api.json PUT /api/v1/streams/data-management/filters/{id}
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/streams/data-management/filters/{id}:
    put:
      tags:
        - STREAMS
        - DATA-MANAGEMENT
        - FILTERS
      summary: Update a filter
      description: Update a filter by ID
      operationId: update_filter_api_v1_streams_data_management_filters__id__put
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FilterRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseWithID'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    FilterRequest:
      properties:
        filter:
          type: object
          title: Filter
      type: object
      required:
        - filter
      title: FilterRequest
    ResponseWithID:
      properties:
        message:
          type: string
          title: Message
        result_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Result Id
      type: object
      required:
        - message
      title: ResponseWithID
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````